| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
wxRichTextContextMenuPropertiesInfo Class Reference

`#include <wx/richtext/richtextctrl.h>`

## Detailed Description

wxRichTextContextMenuPropertiesInfo keeps track of objects that appear in the context menu, whose properties are available to be edited.

## Public Member Functions

| wxRichTextContextMenuPropertiesInfo ()
| Constructor. More...
void | Init ()
| Initialisation. More...
bool | AddItem (const wxString &label, wxRichTextObject *obj)
| Adds an item. More...
int | AddMenuItems (wxMenu *menu, int startCmd=wxID_RICHTEXT_PROPERTIES1) const
| Returns the number of menu items that were added. More...
int | AddItems (wxRichTextCtrl *ctrl, wxRichTextObject *container, wxRichTextObject *obj)
| Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate). More...
void | Clear ()
| Clears the items. More...
wxString | GetLabel (int n) const
| Returns the nth label. More...
wxRichTextObject * | GetObject (int n) const
| Returns the nth object. More...
wxRichTextObjectPtrArray & | GetObjects ()
| Returns the array of objects. More...
const wxRichTextObjectPtrArray & | GetObjects () const
| Returns the array of objects. More...
wxArrayString & | GetLabels ()
| Returns the array of labels. More...
const wxArrayString & | GetLabels () const
| Returns the array of labels. More...
int | GetCount () const
| Returns the number of items. More...

## Public Attributes

wxRichTextObjectPtrArray | m_objects
wxArrayString | m_labels

## Constructor & Destructor Documentation

wxRichTextContextMenuPropertiesInfo::wxRichTextContextMenuPropertiesInfo | ( |  | ) |

Constructor.

## Member Function Documentation

bool wxRichTextContextMenuPropertiesInfo::AddItem | ( | const wxString & | label,
|  | wxRichTextObject * | obj
| ) |  |

Adds an item.

int wxRichTextContextMenuPropertiesInfo::AddItems | ( | wxRichTextCtrl * | ctrl,
|  | wxRichTextObject * | container,
|  | wxRichTextObject * | obj
| ) |  |

Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate).

int wxRichTextContextMenuPropertiesInfo::AddMenuItems | ( | wxMenu * | menu,
|  | int | startCmd = `wxID_RICHTEXT_PROPERTIES1`
| ) |  | const

Returns the number of menu items that were added.

void wxRichTextContextMenuPropertiesInfo::Clear | ( |  | ) |

Clears the items.

int wxRichTextContextMenuPropertiesInfo::GetCount | ( |  | ) | const

Returns the number of items.

wxString wxRichTextContextMenuPropertiesInfo::GetLabel | ( | int | n | ) | const

Returns the nth label.

wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) |

Returns the array of labels.

const wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) | const

Returns the array of labels.

wxRichTextObject* wxRichTextContextMenuPropertiesInfo::GetObject | ( | int | n | ) | const

Returns the nth object.

wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) |

Returns the array of objects.

const wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) | const

Returns the array of objects.

void wxRichTextContextMenuPropertiesInfo::Init | ( |  | ) |

Initialisation.

## Member Data Documentation

wxArrayString wxRichTextContextMenuPropertiesInfo::m_labels

wxRichTextObjectPtrArray wxRichTextContextMenuPropertiesInfo::m_objects